package com.kaixed.kchat.utils

import android.content.Context

/**
 * @Author: kaixed
 * @Date: 2024/10/24 22:07
 */
object DensityUtil {

    // 防止实例化，使用 object 即单例
    fun dpToPx(mContext: Context, dp: Int): Int =
        (mContext.resources.displayMetrics.density * dp).toInt()

    fun pxToDp(mContext: Context, px: Int): Int =
        (px / mContext.resources.displayMetrics.density).toInt()
}
